Package oracle.kv

# Class Consistency.NoneRequired

java.lang.Object
oracle.kv.Consistency
oracle.kv.Consistency.NoneRequired

All Implemented Interfaces:
  `Serializable`, `oracle.kv.impl.util.FastExternalizable`

Enclosing class:
  Consistency

public static class Consistency.NoneRequired extends Consistency

See Also:
  - `FastExternalizable format`
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class oracle.kv.Consistency

  `Consistency.NoneRequired, Consistency.Time, Consistency.Version`

- ## Field Summary

  ### Fields inherited from class oracle.kv.Consistency

  `ABSOLUTE, NONE_REQUIRED, NONE_REQUIRED_NO_MASTER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getName()`
  Returns the name used to identify the policy.
  `int`
  `hashCode()`
  `String`
  `toString()`
  `void`
  `writeFastExternal(DataOutput out, short serialVersion)`
  Writes this object to the output stream.

  ### Methods inherited from class oracle.kv.Consistency

  `fromByteArray, toByteArray`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Method Details

  - ### writeFastExternal

    public void writeFastExternal(DataOutput out, short serialVersion) throws IOException
    Writes this object to the output stream. Format:
    1. (`Consistency.SerialType`) `Consistency.SerialType.NONE_REQUIRED_TYPE`
    Parameters:
      `out` - the output stream
      `serialVersion` - the serial version
    Throws:
      `IOException` - if there is a problem writing to the output stream

  - ### getName

    public String getName()
    Description copied from class: `Consistency`
    Returns the name used to identify the policy.
    Specified by:
      `getName` in class `Consistency`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`